
import { DispatcherManager } from "../GameLogic/DispatcherManager";
import { ui } from "../ui/layaMaxUI";

export default class ShadeView extends ui.ShadeViewUI implements UI_Interface {


    constructor() {
        super();
        this.resizeHander();
        DispatcherManager.on(Laya.Event.RESIZE, this, this.resizeHander);
       
    }
    OnShow(data?: any) {
        this.InitHandler();
    }
    InitUi() {
    }
    InitDate() {
    }
    InitHandler() {
        this.on(Laya.Event.CLICK,this,this.Test);
    }
    Test(){

    }

    OnClose() {
        DispatcherManager.off(Laya.Event.RESIZE, this, this.resizeHander);
        this.off(Laya.Event.CLICK,this,this.Test);
    }

    resizeHander() {
        this.height = Laya.stage.height;
    }
}